---
title: Basic CPU Benchmark on GCP/Vultr/Hetzner/Scaleway
...

*Updated whenever I can.*  
Encoding a 2h video (live concert from Japanese TV, MPEG-2, dark scene with grain) at 1280x720 resolution.

```
HandBrakeCLI -i in.ts -o out.mp4 -f av_mp4 -O -e x264 --encoder-preset slow --encoder-tune grain --encoder-profile high --encoder-level auto -q 20 --vfr -E copy:aac -w 1280 -l 720 --decomb --detelecine --crop 0:0:0:0﻿
```

- Scaleway bare-metal 8 CPU C2L:  
    - 12.072023 fps  
    - Intel(R) Atom(TM) CPU C2750 @ 2.40GHz  
    - €0.048 hourly  

- Hetzner dedicated 8 vCPU:  
    - 28.270920 fps
    - Intel Xeon Processor (Skylake, IBRS) @ 2.10GHz  
    - €0.144 hourly

- Scaleway 8vCPU GP1-S:  
    - 30.584057 fps  
    - AMD EPYC 7401P 24-Core Processor @ 2.00GHz  
    - €0.158 hourly

- Hetzner CPX41 8 vCPU (AMD EPYC 2nd Gen processors):  
    - 36.369133 fps
    - AMD EPYC @ 2.40GHz  
    - €0.038 hourly

- Vultr bare-metal 8 CPU:  
    - 36.676926 fps  
    - Intel(R) Xeon(R) CPU E3-1270 v6 @ 3.80GHz  
    - $0.179 hourly

- Scaleway 16vCPU GP1-M:  
    - 43.332794 fps  
    - AMD EPYC 7401P 24-Core Processor @ 2.00GHz  
    - €0.318 hourly

- Hetzner CPX51 16 vCPU (AMD EPYC 2nd Gen processors):  
    - 55.919209 fps
    - AMD EPYC @ 2.40GHz  
    - €0.080 hourly

- GCP 24 vCPU:  
    - 57.956608 fps  
    - Intel(R) Xeon(R) CPU @ 2.60GHz  
    - $0.688 hourly

- GCP 28 vCPU:  
    - 63.077595 fps  
    - Intel(R) Xeon(R) CPU @ 2.60GHz
    - $0.802 hourly

- GCP 32 vCPU:  
    - 63.491947 fps  
    - Intel(R) Xeon(R) CPU @ 2.00GHz  
    - $0.874 hourly

- Vultr 24 vCPU:  
    - 64.176575 fps  
    - Virtual CPU a7769a6388d5 @ 2.40GHz  
    - $0.952 hourly

- GCP 96 vCPU:  
    - 69.550346 fps  
    - Intel(R) Xeon(R) CPU @ 2.00GHz  
    - $2.621 hourly

*Note: HandBrake don't scale well with more that 32 threads.*
